Subject: Re: bnx2/5709: Strange interrupts spread

From: "Michael Chan" <[email-masked]>
Date: Mon, 19 Jul 2010 11:47:11 -0700

On Mon, 2010-07-19 at 08:55 -0700, Christophe Ngo Van Duc wrote:
> So i've been able to do some test today:
> If I put the 2 interface in a bridge with no IP adress, the interrupts
> are on 1 CPU
> If I put the 2 interface in a bridge with IP adress, the interrupts
> are still on 1 CPU
> If I put the 2 interface outside the bridge with IP address,
> everything works fine the interrupts get spread on the CPU
> 
> So the conclusion seems to be that when the bnx2 is put into
> promiscuous mode by the bridge, the RSS hash stop to work even if
> traffic is IP in nature.

I did a quick test with bridging and saw no problem with RSS.  I did see
this though:

br0 received packet on queue 4, but number of RX queues is 1

Looks like it is a warning message from RPS.